﻿

var $selectedIdentity = "";
var $userRole = -1;

$(document).ready(function () {
    var selected = [];

    var $datatablesResponsiveaudit = $('#galaxkey_table2');
    if ($datatablesResponsiveaudit != undefined) {
        $datatablesResponsiveaudit.DataTable(
            {
                responsive: true,
                
                //dom: 'Bfrtpli',
                dom: "<'row'<'col-sm-4'B><'col-sm-4'i><'col-sm-4'f>>" + "<'row'<'col-sm-12'tr>>" + "<'row'<'col-sm-6'l><'col-sm-6'p>>",
                //dom: 'Bfrtip',
                //dom: "<'row'<'col-sm-6 col-sm-push-6'i><'col-sm-6 col-md-pull-6'f>>" + "<'row'<'col-sm-12'tr>>" + "<'row'<'col-sm-6'l><'col-sm-6'p>>",
                buttons: [

                    {
                        extend: 'collection',
                        text: 'Export',
                        buttons: [
                            'copy',

                            'csv',

                            'print'
                        ]
                    }
                ],
                "order": [[1, "desc"]],
                language: {
                    paginate: {
                        previous: '&laquo;',
                        next: '&raquo;'
                    },
                    search: "_INPUT_",
                    searchPlaceholder: "Search…"
                },
                "columnDefs": [

                    { "targets": 0, "width": "20px" },
                    { "targets": -1, "width": "50px" }
                    //"targets": [0],
                    //"visible": false,
                    //targets: '_all', visible: false

                ]
            });
    }

    var $datatablesResponsive1 = $('#galaxkey_table1');
    if ($datatablesResponsive1 != undefined) {
        $datatablesResponsive1.DataTable({
            responsive: true,
            dom: "<'row'<'col-sm-6 col-sm-push-6'i><'col-sm-6 col-md-pull-6'f>>" + "<'row'<'col-sm-12'tr>>" + "<'row'<'col-sm-6'l><'col-sm-6'p>>",
            language: {
                paginate: {
                    previous: '&laquo;',
                    next: '&raquo;'
                },
                search: "_INPUT_",
                searchPlaceholder: "Search…"
            }
        });


        $('#galaxkey_table1 tbody').on('click', 'tr', function () {

            $selectedIdentity = this.id;
            // lets get all tr from table.
            var rows = $datatablesResponsive1.find('> tbody > tr');
            for (i = 0; i < rows.length; i++) {
                rows[i].classList.remove("selected");
            }
            $(this).toggleClass('selected');
            if ($selectedIdentity != "") {
                $("#btnIdentitySelected").show();
            }
            else {
                $("#btnIdentitySelected").hide();
            }
        });
    }

});

// called when user click on "Change" button.
$(".changeuser").click(function (e) {
    //$userRole = this.getAttribute("data-id");
    var $datatablesResponsive1 = $('#galaxkey_table1');
    // lets clean the table.
    var rows = $datatablesResponsive1.find('> tbody > tr');
    for (i = 0; i < rows.length; i++) {
        rows[i].classList.remove("selected");
    }
    $("#btnIdentitySelected").hide();
    $("#errorMessage").html("");
    $("#changeUserModal").modal('toggle');
});
// Called when user clicks on "Select" in identity selector modal.
$("#btnIdentitySelected").click(function (e) {
    //$("#display" + $userRole).html($selectedIdentity);
    
    // make an ajax call to save the change.
    $user1 = $selectedIdentity;
    $("#errorMessage").html("Updating ubo admin...");
    $.post("/Admin/updateUBOAdmin", {
        "strUBOAdmin": $selectedIdentity}) //updateUsers(string strUserOne, string strUserTwo, string strUserAuth)
        .done(function (data) {
            var obj = jQuery.parseJSON(data);
            if (obj.result == "true")
            {
                location.reload();
            }
            else {
                $("#errorMessage").html(obj.message);
            }
        })
        .fail(function () {
            alert("error");
        });
});

